### Class

# GUPnPAV SearchCriteriaParser

#### Description [src]

    class GUPnPAV.SearchCriteriaParser : GObject.Object
    {
      /* No available fields */
    }

A/V search criteria parser

`GUPnPSearchCriteriaParser` parses ContentDirectory search criteria strings.

Note that no signals will be emitted if a wildcard is specified, and that the user is responsible for ensuring precedence of conjunction over disjunction.

#### Ancestors

- GObject

#### Constructors

###### gupnp_search_criteria_parser_new

No description available.

#### Functions

###### gupnp_search_criteria_parser_error_quark

No description available.

#### Instance methods

###### gupnp_search_criteria_parser_parse_text

Parses `text`, emitting the various defined signals on the way. If an error occured `error` will be set.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### GUPnPAV.SearchCriteriaParser::begin-parens

The ::begin_parens signal is emitted to mark the beginning of a parenthetical expression.

###### GUPnPAV.SearchCriteriaParser::conjunction

The ::conjuction signal is emitted whenever a conjuction marker (and) is parsed.

###### GUPnPAV.SearchCriteriaParser::disjunction

The ::disjuction signal is emitted whenever a disjuction marker (or&rpar is parsed.

###### GUPnPAV.SearchCriteriaParser::end-parens

The ::end_parens signal is emitted to mark the end of a parenthetical expression.

###### GUPnPAV.SearchCriteriaParser::expression

The ::expression signal is emitted whenever an expression is parsed. Set `error` and return `FALSE` if an error occurred.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVSearchCriteriaParserClass {
      GObjectClass parent_class;
      void (* begin_parens) (
        GUPnPSearchCriteriaParser* parser
      );
      void (* end_parens) (
        GUPnPSearchCriteriaParser* parser
      );
      void (* conjunction) (
        GUPnPSearchCriteriaParser* parser
      );
      void (* disjunction) (
        GUPnPSearchCriteriaParser* parser
      );
      gboolean (* expression) (
        GUPnPSearchCriteriaParser* parser,
        const char* property,
        GUPnPSearchCriteriaOp op,
        const char* value,
        GError** error
      );
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`begin_parens: void (* begin_parens) ( GUPnPSearchCriteriaParser* parser )`

  No description available.

`end_parens: void (* end_parens) ( GUPnPSearchCriteriaParser* parser )`

  No description available.

`conjunction: void (* conjunction) ( GUPnPSearchCriteriaParser* parser )`

  No description available.

`disjunction: void (* disjunction) ( GUPnPSearchCriteriaParser* parser )`

  No description available.

`expression: gboolean (* expression) ( GUPnPSearchCriteriaParser* parser, const char* property, GUPnPSearchCriteriaOp op, const char* value, GError** error )`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.

#### Virtual methods

###### GUPnPAV.SearchCriteriaParserClass.begin_parens

No description available.

###### GUPnPAV.SearchCriteriaParserClass.conjunction

No description available.

###### GUPnPAV.SearchCriteriaParserClass.disjunction

No description available.

###### GUPnPAV.SearchCriteriaParserClass.end_parens

No description available.

###### GUPnPAV.SearchCriteriaParserClass.expression

No description available.